diff -ur ./src/corelib/global/qglobal_p.h /stuff/pkgsrc/x11/qt6-qtbase/work/qtbase-everywhere-src-6.7.2//src/corelib/global/qglobal_p.h
--- ./src/corelib/global/qglobal_p.h	Mon May  6 23:06:44 2024
+++ /stuff/pkgsrc/x11/qt6-qtbase/work/qtbase-everywhere-src-6.7.2//src/corelib/global/qglobal_p.h	Sun Apr 20 15:46:13 2025
@@ -35,7 +35,7 @@
 #  define Q_DECL_INIT_PRIORITY(nn)      \
     __pragma(warning(disable: 4075)) \
     __pragma(init_seg(".CRT$XCK" QT_STRINGIFY(nn))) Q_DECL_UNUSED
-#elif defined(Q_OS_QNX)
+#elif defined(Q_OS_QNX) || defined(__sun)
 // init_priority fails on QNX and we didn't bother investigating why
 #  define QT_SUPPORTS_INIT_PRIORITY     0
 #elif defined(Q_OS_WIN) || defined(Q_OF_ELF)
diff -ur ./src/corelib/global/qtypes.h /stuff/pkgsrc/x11/qt6-qtbase/work/qtbase-everywhere-src-6.7.2//src/corelib/global/qtypes.h
--- ./src/corelib/global/qtypes.h	Mon May  6 23:06:44 2024
+++ /stuff/pkgsrc/x11/qt6-qtbase/work/qtbase-everywhere-src-6.7.2//src/corelib/global/qtypes.h	Sun Apr 20 15:47:29 2025
@@ -160,7 +160,7 @@
 
 #ifndef __cplusplus
 // In C++ mode, we define below using QIntegerForSize template
-static_assert(sizeof(ptrdiff_t) == sizeof(size_t), "Weird ptrdiff_t and size_t definitions");
+_Static_assert(sizeof(ptrdiff_t) == sizeof(size_t), "Weird ptrdiff_t and size_t definitions");
 typedef ptrdiff_t qptrdiff;
 typedef ptrdiff_t qsizetype;
 typedef ptrdiff_t qintptr;
@@ -179,6 +179,8 @@
 #define PRIoQUINTPTR "zo"
 #define PRIxQUINTPTR "zx"
 #define PRIXQUINTPTR "zX"
+#else
+static_assert(sizeof(ptrdiff_t) == sizeof(size_t), "Weird ptrdiff_t and size_t definitions");
 #endif
 
 #if defined(QT_COORD_TYPE)
diff -ur ./src/corelib/io/qfilesystemengine_unix.cpp /stuff/pkgsrc/x11/qt6-qtbase/work/qtbase-everywhere-src-6.7.2//src/corelib/io/qfilesystemengine_unix.cpp
--- ./src/corelib/io/qfilesystemengine_unix.cpp	Mon May  6 23:06:44 2024
+++ /stuff/pkgsrc/x11/qt6-qtbase/work/qtbase-everywhere-src-6.7.2//src/corelib/io/qfilesystemengine_unix.cpp	Sun Apr 20 15:49:13 2025
@@ -80,6 +80,24 @@
 struct statx { mode_t stx_mode; };      // dummy
 #endif
 
+#ifndef O_DIRECTORY
+#define O_DIRECTORY 0
+#endif
+
+extern "C" {
+
+int linkat(int olddirfd, const char *oldpath, int newdirfd, const char *newpath, int flags) {
+    // Ignores directory FDs and flags — just links normally
+    return link(oldpath, newpath);
+}
+
+int mkdirat(int dirfd, const char *pathname, mode_t mode) {
+    // Ignores dirfd — assumes relative to current working directory
+    return mkdir(pathname, mode);
+}
+
+}
+
 QT_BEGIN_NAMESPACE
 
 using namespace Qt::StringLiterals;
diff -ur ./src/corelib/io/qprocess_unix.cpp /stuff/pkgsrc/x11/qt6-qtbase/work/qtbase-everywhere-src-6.7.2//src/corelib/io/qprocess_unix.cpp
--- ./src/corelib/io/qprocess_unix.cpp	Mon May  6 23:06:44 2024
+++ /stuff/pkgsrc/x11/qt6-qtbase/work/qtbase-everywhere-src-6.7.2//src/corelib/io/qprocess_unix.cpp	Sun Apr 20 15:50:03 2025
@@ -66,6 +66,10 @@
 #endif
 extern char **environ;
 
+#ifndef O_DIRECTORY
+#define O_DIRECTORY 0
+#endif
+
 QT_BEGIN_NAMESPACE
 
 using namespace Qt::StringLiterals;
diff -ur ./src/corelib/kernel/qcore_unix_p.h /stuff/pkgsrc/x11/qt6-qtbase/work/qtbase-everywhere-src-6.7.2//src/corelib/kernel/qcore_unix_p.h
--- ./src/corelib/kernel/qcore_unix_p.h	Mon May  6 23:06:44 2024
+++ /stuff/pkgsrc/x11/qt6-qtbase/work/qtbase-everywhere-src-6.7.2//src/corelib/kernel/qcore_unix_p.h	Sun Apr 20 15:50:44 2025
@@ -193,9 +193,9 @@
 #ifdef AT_FDCWD
 static inline int qt_safe_openat(int dfd, const char *pathname, int flags, mode_t mode = 0777)
 {
-    // everyone already has O_CLOEXEC
+    // everyone already has O_CLOEXEC - no, Solaris 10 SPARC doesn't
     int fd;
-    QT_EINTR_LOOP(fd, openat(dfd, pathname, flags | O_CLOEXEC, mode));
+    QT_EINTR_LOOP(fd, openat(dfd, pathname, flags | FD_CLOEXEC, mode));
     return fd;
 }
 #endif
diff -ur ./src/corelib/plugin/qelfparser_p.cpp /stuff/pkgsrc/x11/qt6-qtbase/work/qtbase-everywhere-src-6.7.2//src/corelib/plugin/qelfparser_p.cpp
--- ./src/corelib/plugin/qelfparser_p.cpp	Mon May  6 23:06:44 2024
+++ /stuff/pkgsrc/x11/qt6-qtbase/work/qtbase-everywhere-src-6.7.2//src/corelib/plugin/qelfparser_p.cpp	Sun Apr 20 15:51:14 2025
@@ -20,6 +20,10 @@
 #  error "Need ELF header to parse plugins."
 #endif
 
+#ifndef EM_AARCH64
+#define EM_AARCH64 183
+#endif
+
 QT_BEGIN_NAMESPACE
 
 using namespace Qt::StringLiterals;
diff -ur ./src/gui/kernel/qguiapplication.h /stuff/pkgsrc/x11/qt6-qtbase/work/qtbase-everywhere-src-6.7.2//src/gui/kernel/qguiapplication.h
--- ./src/gui/kernel/qguiapplication.h	Mon May  6 23:06:44 2024
+++ /stuff/pkgsrc/x11/qt6-qtbase/work/qtbase-everywhere-src-6.7.2//src/gui/kernel/qguiapplication.h	Sun Apr 20 15:51:48 2025
@@ -42,10 +42,10 @@
     Q_PROPERTY(QString desktopFileName READ desktopFileName WRITE setDesktopFileName)
     Q_PROPERTY(Qt::LayoutDirection layoutDirection READ layoutDirection WRITE setLayoutDirection
                NOTIFY layoutDirectionChanged)
-    Q_PROPERTY(QString platformName READ platformName STORED false CONSTANT)
+    Q_PROPERTY(QString platformName READ platformName CONSTANT)
     Q_PROPERTY(bool quitOnLastWindowClosed  READ quitOnLastWindowClosed
                WRITE setQuitOnLastWindowClosed)
-    Q_PROPERTY(QScreen *primaryScreen READ primaryScreen NOTIFY primaryScreenChanged STORED false)
+    Q_PROPERTY(QScreen *primaryScreen READ primaryScreen NOTIFY primaryScreenChanged)
 
 public:
 #ifdef Q_QDOC
diff -ur ./src/gui/kernel/qstylehints.h /stuff/pkgsrc/x11/qt6-qtbase/work/qtbase-everywhere-src-6.7.2//src/gui/kernel/qstylehints.h
--- ./src/gui/kernel/qstylehints.h	Mon May  6 23:06:44 2024
+++ /stuff/pkgsrc/x11/qt6-qtbase/work/qtbase-everywhere-src-6.7.2//src/gui/kernel/qstylehints.h	Sun Apr 20 15:52:19 2025
@@ -18,11 +18,11 @@
     Q_OBJECT
     Q_DECLARE_PRIVATE(QStyleHints)
     Q_PROPERTY(int cursorFlashTime READ cursorFlashTime NOTIFY cursorFlashTimeChanged FINAL)
-    Q_PROPERTY(qreal fontSmoothingGamma READ fontSmoothingGamma STORED false CONSTANT FINAL)
+    Q_PROPERTY(qreal fontSmoothingGamma READ fontSmoothingGamma CONSTANT FINAL)
 #if QT_DEPRECATED_SINCE(6, 5)
-    Q_PROPERTY(int keyboardAutoRepeatRate READ keyboardAutoRepeatRate STORED false CONSTANT FINAL)
+    Q_PROPERTY(int keyboardAutoRepeatRate READ keyboardAutoRepeatRate CONSTANT FINAL)
 #endif
-    Q_PROPERTY(qreal keyboardAutoRepeatRateF READ keyboardAutoRepeatRateF STORED false CONSTANT FINAL)
+    Q_PROPERTY(qreal keyboardAutoRepeatRateF READ keyboardAutoRepeatRateF CONSTANT FINAL)
     Q_PROPERTY(int keyboardInputInterval READ keyboardInputInterval
                NOTIFY keyboardInputIntervalChanged FINAL)
     Q_PROPERTY(int mouseDoubleClickInterval READ mouseDoubleClickInterval
@@ -29,20 +29,20 @@
                NOTIFY mouseDoubleClickIntervalChanged FINAL)
     Q_PROPERTY(int mousePressAndHoldInterval READ mousePressAndHoldInterval
                NOTIFY mousePressAndHoldIntervalChanged FINAL)
-    Q_PROPERTY(QChar passwordMaskCharacter READ passwordMaskCharacter STORED false CONSTANT FINAL)
-    Q_PROPERTY(int passwordMaskDelay READ passwordMaskDelay STORED false CONSTANT FINAL)
-    Q_PROPERTY(bool setFocusOnTouchRelease READ setFocusOnTouchRelease STORED false CONSTANT FINAL)
-    Q_PROPERTY(bool showIsFullScreen READ showIsFullScreen STORED false CONSTANT FINAL)
-    Q_PROPERTY(bool showIsMaximized READ showIsMaximized STORED false CONSTANT FINAL)
+    Q_PROPERTY(QChar passwordMaskCharacter READ passwordMaskCharacter CONSTANT FINAL)
+    Q_PROPERTY(int passwordMaskDelay READ passwordMaskDelay CONSTANT FINAL)
+    Q_PROPERTY(bool setFocusOnTouchRelease READ setFocusOnTouchRelease CONSTANT FINAL)
+    Q_PROPERTY(bool showIsFullScreen READ showIsFullScreen CONSTANT FINAL)
+    Q_PROPERTY(bool showIsMaximized READ showIsMaximized CONSTANT FINAL)
     Q_PROPERTY(bool showShortcutsInContextMenus READ showShortcutsInContextMenus
                WRITE setShowShortcutsInContextMenus NOTIFY showShortcutsInContextMenusChanged FINAL)
     Q_PROPERTY(int startDragDistance READ startDragDistance NOTIFY startDragDistanceChanged FINAL)
     Q_PROPERTY(int startDragTime READ startDragTime NOTIFY startDragTimeChanged FINAL)
-    Q_PROPERTY(int startDragVelocity READ startDragVelocity STORED false CONSTANT FINAL)
-    Q_PROPERTY(bool useRtlExtensions READ useRtlExtensions STORED false CONSTANT FINAL)
+    Q_PROPERTY(int startDragVelocity READ startDragVelocity CONSTANT FINAL)
+    Q_PROPERTY(bool useRtlExtensions READ useRtlExtensions CONSTANT FINAL)
     Q_PROPERTY(Qt::TabFocusBehavior tabFocusBehavior READ tabFocusBehavior
                NOTIFY tabFocusBehaviorChanged FINAL)
-    Q_PROPERTY(bool singleClickActivation READ singleClickActivation STORED false CONSTANT FINAL)
+    Q_PROPERTY(bool singleClickActivation READ singleClickActivation CONSTANT FINAL)
     Q_PROPERTY(bool useHoverEffects READ useHoverEffects WRITE setUseHoverEffects
                NOTIFY useHoverEffectsChanged FINAL)
     Q_PROPERTY(int wheelScrollLines READ wheelScrollLines NOTIFY wheelScrollLinesChanged FINAL)
@@ -49,9 +49,9 @@
     Q_PROPERTY(int mouseQuickSelectionThreshold READ mouseQuickSelectionThreshold
                WRITE setMouseQuickSelectionThreshold NOTIFY mouseQuickSelectionThresholdChanged
                FINAL)
-    Q_PROPERTY(int mouseDoubleClickDistance READ mouseDoubleClickDistance STORED false CONSTANT
+    Q_PROPERTY(int mouseDoubleClickDistance READ mouseDoubleClickDistance CONSTANT
                FINAL)
-    Q_PROPERTY(int touchDoubleTapDistance READ touchDoubleTapDistance STORED false CONSTANT FINAL)
+    Q_PROPERTY(int touchDoubleTapDistance READ touchDoubleTapDistance CONSTANT FINAL)
     Q_PROPERTY(Qt::ColorScheme colorScheme READ colorScheme NOTIFY colorSchemeChanged FINAL)
 
 public:
diff -ur ./src/gui/text/qtextdocument.h /stuff/pkgsrc/x11/qt6-qtbase/work/qtbase-everywhere-src-6.7.2//src/gui/text/qtextdocument.h
--- ./src/gui/text/qtextdocument.h	Mon May  6 23:06:44 2024
+++ /stuff/pkgsrc/x11/qt6-qtbase/work/qtbase-everywhere-src-6.7.2//src/gui/text/qtextdocument.h	Sun Apr 20 15:52:46 2025
@@ -61,7 +61,7 @@
     Q_OBJECT
 
     Q_PROPERTY(bool undoRedoEnabled READ isUndoRedoEnabled WRITE setUndoRedoEnabled)
-    Q_PROPERTY(bool modified READ isModified WRITE setModified DESIGNABLE false)
+    Q_PROPERTY(bool modified READ isModified WRITE setModified)
     Q_PROPERTY(QSizeF pageSize READ pageSize WRITE setPageSize)
     Q_PROPERTY(QFont defaultFont READ defaultFont WRITE setDefaultFont)
     Q_PROPERTY(bool useDesignMetrics READ useDesignMetrics WRITE setUseDesignMetrics)
diff -ur ./src/network/kernel/qnetworkinterface_unix.cpp /stuff/pkgsrc/x11/qt6-qtbase/work/qtbase-everywhere-src-6.7.2//src/network/kernel/qnetworkinterface_unix.cpp
--- ./src/network/kernel/qnetworkinterface_unix.cpp	Mon May  6 23:06:44 2024
+++ /stuff/pkgsrc/x11/qt6-qtbase/work/qtbase-everywhere-src-6.7.2//src/network/kernel/qnetworkinterface_unix.cpp	Sun Apr 20 15:55:01 2025
@@ -115,9 +115,21 @@
 
 static int getMtu(int socket, struct ifreq *req)
 {
-#ifdef SIOCGIFMTU
+#if defined(__sun)
+    // Use lifreq and SIOCGLIFMTU for Solaris
+    struct lifreq lreq;
+    memset(&lreq, 0, sizeof(lreq));
+    strncpy(lreq.lifr_name, req->ifr_name, sizeof(lreq.lifr_name));
+    if (ioctl(socket, SIOCGLIFMTU, &lreq) == 0)
+        return lreq.lifr_mtu;
+    return 0;
+#elif defined(SIOCGIFMTU)
+    // Other platforms where ifr_mtu exists
     if (qt_safe_ioctl(socket, SIOCGIFMTU, req) == 0)
         return req->ifr_mtu;
+    return 0;
+#else
+    return 0;
 #endif
     return 0;
 }
diff -ur ./src/plugins/platforms/eglfs/CMakeLists.txt /stuff/pkgsrc/x11/qt6-qtbase/work/qtbase-everywhere-src-6.7.2//src/plugins/platforms/eglfs/CMakeLists.txt
--- ./src/plugins/platforms/eglfs/CMakeLists.txt	Mon May  6 23:06:44 2024
+++ /stuff/pkgsrc/x11/qt6-qtbase/work/qtbase-everywhere-src-6.7.2//src/plugins/platforms/eglfs/CMakeLists.txt	Sun Apr 20 15:55:41 2025
@@ -51,11 +51,6 @@
 ## Scopes:
 #####################################################################
 
-qt_internal_extend_target(EglFSDeviceIntegrationPrivate CONDITION TARGET Qt::InputSupportPrivate
-    PUBLIC_LIBRARIES
-        Qt::InputSupportPrivate
-)
-
 qt_internal_extend_target(EglFSDeviceIntegrationPrivate CONDITION INTEGRITY AND TARGET IntegrityPlatformGraphics::IntegrityPlatformGraphics
     LIBRARIES
         IntegrityPlatformGraphics::IntegrityPlatformGraphics
diff -ur ./src/plugins/platforms/eglfs/deviceintegration/eglfs_kms/qeglfskmsgbmdevice.cpp /stuff/pkgsrc/x11/qt6-qtbase/work/qtbase-everywhere-src-6.7.2//src/plugins/platforms/eglfs/deviceintegration/eglfs_kms/qeglfskmsgbmdevice.cpp
--- ./src/plugins/platforms/eglfs/deviceintegration/eglfs_kms/qeglfskmsgbmdevice.cpp	Mon May  6 23:06:44 2024
+++ /stuff/pkgsrc/x11/qt6-qtbase/work/qtbase-everywhere-src-6.7.2//src/plugins/platforms/eglfs/deviceintegration/eglfs_kms/qeglfskmsgbmdevice.cpp	Sun Apr 20 15:56:18 2025
@@ -13,6 +13,10 @@
 
 #define ARRAY_LENGTH(a) (sizeof (a) / sizeof (a)[0])
 
+#ifndef O_CLOEXEC
+#define O_CLOEXEC 0
+#endif
+
 QT_BEGIN_NAMESPACE
 
 Q_DECLARE_LOGGING_CATEGORY(qLcEglfsKmsDebug)
diff -ur ./src/plugins/platforms/vnc/CMakeLists.txt /stuff/pkgsrc/x11/qt6-qtbase/work/qtbase-everywhere-src-6.7.2//src/plugins/platforms/vnc/CMakeLists.txt
--- ./src/plugins/platforms/vnc/CMakeLists.txt	Mon May  6 23:06:44 2024
+++ /stuff/pkgsrc/x11/qt6-qtbase/work/qtbase-everywhere-src-6.7.2//src/plugins/platforms/vnc/CMakeLists.txt	Sun Apr 20 15:56:38 2025
@@ -25,11 +25,3 @@
         Qt::GuiPrivate
         Qt::Network
 )
-
-## Scopes:
-#####################################################################
-
-qt_internal_extend_target(QVncIntegrationPlugin CONDITION TARGET Qt::InputSupportPrivate
-    LIBRARIES
-        Qt::InputSupportPrivate
-)
